
boxplot.FCS <- function(x,
                        varpos=c(1), 
                        ...
                        ){

## Create a boxplot for flowcyt parameter (i.e. FSC, SSC) 
## Nolwenn Le Meur
## 18 Sept 2005. Last revised 13 Jun 2006

##############################
##  INPUT
##############################
## x              data from cytoSet object
## varpos         the variable column position of the data being examined

    if (length(varpos)!=1) {
        stop("input 'varpos' can only be of length 1")
    }
    if((!is(x, "cytoSet")) && (!is(x[[1]],"FCS"))){
        stop("input 'object' must be a cytoSet object or a list of FCS objects")
    }
    data.toplot <-  vector("numeric")

    if(is(x,"cytosSet")){
        z <- vector("list")
        for (i in 1:length(x)){
            z[[i]]<-exprs(x[[i]])
        }
        data.toplot <- sapply(z,function(z){z[,varpos]})
    }

    if(is(x[[1]],"FCS")){
        if (is.list(x)){
            z<-lapply(x,fluors)
            data.toplot <- sapply(z,function(z){z[,varpos]})
        }
        else{
            data.toplot<- fluors(x)[,varpos]
        }
    }
    if (is.matrix(data.toplot)) data.toplot <- data.frame(data.toplot)
    boxplot(data.toplot,...)
}
